- Qt 5.15
- Qt Sensors
- C++ Classes
- QHolsterSensor
- Qt 5.15.18 Reference Documentation

# QHolsterSensor Class

The QHolsterSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QHolsterSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QHolsterSensor(QObject *parent = Q_NULLPTR)
virtual | ~QHolsterSensor()
QHolsterReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QHolsterReading instead of a QSensorReading.

For details about how the sensor works, see QHolsterReading.

See also QHolsterReading.

## Member Function Documentation

### QHolsterSensor::QHolsterSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QHolsterSensor::~QHolsterSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QHolsterReading *QHolsterSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().